package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.module.filter.SJZDSearchContext;

/**
 * 实体 [数据字典] 存储模型
 */
public interface SJZD{

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 数据字典名称
     */
    String getSJZDName();

    void setSJZDName(String sJZDName);

    /**
     * 获取 [数据字典名称]脏标记
     */
    boolean getSJZDNameDirtyFlag();
    /**
     * 数据字典标识
     */
    String getSJZDId();

    void setSJZDId(String sJZDId);

    /**
     * 获取 [数据字典标识]脏标记
     */
    boolean getSJZDIdDirtyFlag();
    /**
     * 编号
     */
    String getBh();

    void setBh(String bh);

    /**
     * 获取 [编号]脏标记
     */
    boolean getBhDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
}
